@import url("https://fonts.googleapis.com/css2?family=Josefin+Sans:ital,wght@0,300;0,400;1,300;1,400&family=Open+Sans:wght@300;400;600&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,600&family=Quicksand:wght@300&display=swap");

:root {
  --color-primary: #999d9e;
  --color-grey-light-1: #faf9f9;
  --color-grey-light-2: #f4f2f2;
  --color-grey-light-3: #f0eeee;
  --color-grey-light-4: #ccc;
  --color-grey-dark-1: #333;
  /* --color-black-dark-1:#1C1D20; */
  --color-black-dark-1: #23201d;

  --color-grey-dark-2: #777;
  --color-grey-dark-3: #999;
  --color-border-light: rgba(255, 255, 255, 0.2);

}

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: 62.5%;
  overflow: auto;
  scroll-behavior: smooth;
}

.container {
  max-width: 1250px;
  margin-left: auto;
  margin-right: auto;
  padding: 0 16px;
}

body {
  font-family: "Poppins", sans-serif;
  font-size: 1.6rem;
  color: #fff;
  background-color: var(--color-black-dark-1);
  height: 100%;
}
.cursor {
  position: fixed;
  width: 40px;
  height: 40px;
  margin-left: -20px;
  margin-top: -20px;
  border-radius: 50%;
  border: 2px solid #fff;
  transition: transform 0.3s ease;
  transform-origin: center center;
  pointer-events: none;
  z-index: 1000;
}
.cursor-scale {
  cursor: pointer;
  transition: transform 0.3s;
}

.cursor-scale:hover {
  transform: scale(1.05);
}

.grow,
.grow-small {
  transform: scale(10);
  background: #fff;
  mix-blend-mode: difference;
  border: none;
}

.grow-small {
  transform: scale(2.5);
}
.navbar {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-block: 1rem;
  width: 100%;
  margin-inline: auto;
  padding-inline: 2.5rem;
  margin-right: -3rem;
}
.nav-list {
  position: relative;
  display: flex;
  list-style: none;
}
.nav-item {
  width: 10rem;
  text-align: center;
  padding-block: 1rem;
  transform: rotate(0.001deg);
}
.nav-link {
  text-transform: uppercase;
}
a {
  text-decoration: none;
  /* color: inherit; */
  color: #55C57A;
  color: #fff;
}


.active {
  position: absolute;
  bottom: -1rem;
  height: 5px;
  width: 0.5rem;
  background-color: #fff;
  transition: transform 0.25s;
  margin-left: 45px;
  border-radius: 50px;
  padding: 5px;
}
.nav-item:nth-child(2):hover ~ .active {
  transform: translateX(10rem);
}
.nav-item:nth-child(3):hover ~ .active {
  transform: translateX(20rem);
}
.nav-item:nth-child(4):hover ~ .active {
  transform: translateX(30rem);
}
.logo-main {
  position: relative;
  top: 15px;
  right: 0;
}
.logo-main img {
  height: 8rem;
  width: 8rem;
  border-radius: 50px;
}

.work {
  height: 100vh;
  width: 100%;
  display: inline-block;
  word-spacing: 5px;
  line-height: 2;
}
.work__heading {
  font-size: 50px;
  line-height: 2;
  width: max-content;
  padding: 5px 10px;
  margin: 0 auto;
  margin-bottom: 20px;
  word-spacing: 7px;
  letter-spacing: 3px;
  transition: all 3s;
  animation: puffIn 3s;
}

.work__content {
  width: 100%;
  padding: 10px 50px;
  margin-left: 7rem;
  margin-bottom: 0;
  transition: all 5s;
  animation: slideLeftReturn 3s;
}

.icon span {
  display: flex;
  justify-content: center;
  align-items: center;
  transition: all 0.2s;
  padding-left: 0.3rem;
  padding-right: 0.3rem;
  font-size: 50px;
  width: 20rem;
  margin: 0 auto;
}
.icon a {
  display: flex;
  justify-content: center;
  padding: 10px 20px;
  font-size: 4rem;
  transform: rotate(15deg) scale(1.3);
}
.icon span:hover {
  background-color: #999d9e;
  color: #fff;
  box-shadow: 0 1rem 2rem rgba(#ddd8d8 0.4);
  transform: rotate(5deg) scale(1.3);
}

.fa-arrow-down:before {
  content: "\f063";
  color: var(--color-border-light);
}

.projects-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  margin: 0 12rem;
}

.project {
  width: 100%;
  margin-bottom: 30px;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
}

.project__photo {
  width: 100%;
  max-width: 600px;
}

.project-details {
  flex: 1;
  padding: 130px 80px;
}
.development{
  color: var(--color-border-light);
}
.view-project-1{
  color: #55C57A;
}
.view-project-1:hover{
  background-color: #55C57A;
  color: #fff;
  padding: 5px;
  border-radius: 5px;
  transition: all .5s;
}
.view-project-2{
  color: #FE0058;
}
.view-project-2:hover{
  background-color: #FE0058;
  color: #fff;
  padding: 5px;
  border-radius: 5px;
  transition: all .5s;
}
.view-project-3{
  color: #D09760;
}
.view-project-3:hover{
  background-color: #D09760;
  color: #fff;
  padding: 5px;
  border-radius: 5px;
  transition: all .5s;
}
.view-project-4{
  /* color: #f0e160; */
  color: #989D9E;


}
.view-project-4:hover{
  background-color: #989D9E;
  color: #fff;
  padding: 5px;
  border-radius: 5px;
  transition: all .5s;
}
.view-project-5{
  color: #B9181D;
}
.view-project-5:hover{
  background-color: #B9181D;
  color: #fff;
  padding: 5px;
  border-radius: 5px;
  transition: all .5s;
}
.view-project-6{
  color: #686765;
}
.view-project-6:hover{
  background-color: #686868;
  color: #fff;
  padding: 5px;
  border-radius: 5px;
  transition: all .5s;
}
.view-project-7{
  color: #A79A2D;
}
.view-project-7:hover{
  background-color: #A79A2D;
  color: #fff;
  padding: 5px;
  border-radius: 5px;
  transition: all .5s;
}
.view-project-8{
  color: #57ECFF;
}
.view-project-8:hover{
  background-color: #2eefff;
  color: #fff;
  padding: 5px;
  border-radius: 5px;
  transition: all .5s;
}

.cursor-scale {
  cursor: pointer;
  transition: transform 0.3s;
}

.cursor-scale:hover {
  transform: scale(1.05);
}

.work .puffIn {
  animation-name: puffIn;
}
@-webkit-keyframes puffIn {
  0% {
    opacity: 0;
    transform-origin: 50% 50%;
    transform: scale(2, 2);
    filter: blur(2px);
  }
  100% {
    opacity: 1;
    transform-origin: 50% 50%;
    transform: scale(1, 1);
    filter: blur(0px);
  }
}
@keyframes puffIn {
  0% {
    opacity: 0;
    transform-origin: 50% 50%;
    transform: scale(2, 2);
    filter: blur(2px);
  }
  100% {
    opacity: 1;
    transform-origin: 50% 50%;
    transform: scale(1, 1);
    filter: blur(0px);
  }
}

.slideRightReturn {
  -webkit-animation-name: slideRightReturn;
  animation-name: slideRightReturn;
}
@-webkit-keyframes slideRightReturn {
  0% {
    -webkit-transform-origin: 0 0;
    transform-origin: 0 0;
    -webkit-transform: translateX(100%);
    transform: translateX(100%);
  }

  100% {
    -webkit-transform-origin: 0 0;
    transform-origin: 0 0;
    -webkit-transform: translateX(0%);
    transform: translateX(0%);
  }
}
@keyframes slideRightReturn {
  0% {
    -webkit-transform-origin: 0 0;
    transform-origin: 0 0;
    -webkit-transform: translateX(100%);
    transform: translateX(100%);
  }

  100% {
    -webkit-transform-origin: 0 0;
    transform-origin: 0 0;
    -webkit-transform: translateX(0%);
    transform: translateX(0%);
  }
}

.slideLeftReturn {
  -webkit-animation-name: slideLeftReturn;
  animation-name: slideLeftReturn;
}
@-webkit-keyframes slideLeftReturn {
  0% {
    -webkit-transform-origin: 0 0;
    transform-origin: 0 0;
    -webkit-transform: translateX(-100%);
    transform: translateX(-100%);
  }

  100% {
    -webkit-transform-origin: 0 0;
    transform-origin: 0 0;
    -webkit-transform: translateX(0%);
    transform: translateX(0%);
  }
}
@keyframes slideLeftReturn {
  0% {
    -webkit-transform-origin: 0 0;
    transform-origin: 0 0;
    -webkit-transform: translateX(-100%);
    transform: translateX(-100%);
  }

  100% {
    -webkit-transform-origin: 0 0;
    transform-origin: 0 0;
    -webkit-transform: translateX(0%);
    transform: translateX(0%);
  }
}

/* Responsive styles for small screens */

@media only screen and (max-width: 768px) {
  html {
    font-size: 50%;
  }

  .container {
    max-width: 100%;
    min-height: auto;
  }

  .navbar {
    flex-direction: column;
    align-items: flex-start;
    justify-content: space-around;
    padding: 1rem;
    margin-right: 0;
    height: auto;
  }

  .nav-list {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    width: 100%;
    margin-bottom: 2rem;
  }

  .nav-item {
    width: 100%;
    text-align: center;
    padding: 1rem;
    transform: none;
  }

  .active {
    position: static;
    transform: none;
    margin-left: 0;
    margin-top: 0.5rem;
    margin-bottom: 1rem;
  }

  .logo-main {
    margin: 2rem auto;
    text-align: center;
  }

  .logo-main img {
    height: 6rem;
    width: 6rem;
  }

  .work {
    margin-top: 5rem;
    margin-bottom: 10rem;
  }

  .work__heading {
    font-size: 3.5rem;
    margin-bottom: 3rem;
  }

  .work__content {
    margin-left: 0;
    padding: 1rem 20rem;
  }

  .icon span {
    font-size: 4rem;
    margin: 0 auto;
  }

  .icon a {
    font-size: 3rem;
    padding: 1rem;
    transform: none;
  }
  .project-details {
    flex: 1;
    padding: 20px 20px;
    text-align: center;
  }
  .project-details a {
    display: flex;
    flex-direction: column;
    text-decoration: none;
    color: #fff;
  }
}

@media only screen and (max-width: 425px) {
  .work__content {
    margin-left: 0;
    padding: 1rem 7rem;
  }
  .projects-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin: 0 2rem;
  }
}

@media only screen and (max-width: 320px) {
  .work__content {
    margin-left: 0;
    padding: 1rem 3rem;
  }

  .projects-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin: 2rem;
  }
  .project__photo {
    width: 100%;
    max-width: 300px;
  }

  
}
